import CacheWrapper from './services/CacheWrapper';
import HmacValidator from './shopify/router/services/HmacValidator';
import RestUtils from './shopify/router/services/RestUtils';
import { ShopifyAssetService } from './shopify/ShopifyAssetService';
import { ShopifyBillingService } from './shopify/ShopifyBillingService';
import { ShopifyCollectionService } from './shopify/ShopifyCollectionService';
import { ShopifyCustomerService } from './shopify/ShopifyCustomerService';
import { ShopifyDraftOrderService } from './shopify/ShopifyDraftOrderService';
import { ShopifyFulfillmentService } from './shopify/ShopifyFulfillmentService';
import { ShopifyInventoryService } from './shopify/ShopifyInventoryService';
import { ShopifyLocationService } from './shopify/ShopifyLocationService';
import { ShopifyMandatoryRouter } from './shopify/router/ShopifyMandatoryRouter';
import { ShopifyOrderRiskService } from './shopify/ShopifyOrderRiskService';
import { ShopifyOrderService } from './shopify/ShopifyOrderService';
import { ShopifyPageService } from './shopify/ShopifyPageService';
import { ShopifyProductService } from './shopify/ShopifyProductService';
import { ShopifyRouter } from './shopify/router/ShopifyRouter';
import { ShopifyShopService } from './shopify/ShopifyShopService';
import { ShopifyTemplateService } from './shopify/ShopifyTemplateService';
import { ShopifyThemeService } from './shopify/ShopifyThemeService';
import { ShopifyWebhookService } from './shopify/ShopifyWebhookService';
import StoreRateLimiter from './shopify/router/services/rateLimiter/StoreRateLimiter';
import ShopifyRouterNewScope from './shopify/router/ShopifyRouterNewScope';
import { ShopifyVariantService } from './shopify/ShopifyVariantService';
import ShopifyRouterBis from './shopify/router/ShopifyRouterBis';
export interface ILogger {
    error: (...restOfName: any[]) => void;
    info: (...restOfName: any[]) => void;
}
export interface IRest_Options {
    timeout: number;
    retries: number;
    logger: ILogger;
    debug: boolean;
}
export default class ShopifyRest {
    private shop;
    private token;
    private privateAppApiKey;
    private privateAppPassword;
    customer: ShopifyCustomerService;
    inventory: ShopifyInventoryService;
    order: ShopifyOrderService;
    product: ShopifyProductService;
    variant: ShopifyVariantService;
    webhook: ShopifyWebhookService;
    fulfillment: ShopifyFulfillmentService;
    store: ShopifyShopService;
    collections: ShopifyCollectionService;
    themes: ShopifyThemeService;
    templates: ShopifyTemplateService;
    assets: ShopifyAssetService;
    billing: ShopifyBillingService;
    draftOrders: ShopifyDraftOrderService;
    locations: ShopifyLocationService;
    orderRisks: ShopifyOrderRiskService;
    pages: ShopifyPageService;
    constructor(shop: string, token: string, privateAppApiKey: string, privateAppPassword: string, options?: IRest_Options);
}
export declare const Router: typeof ShopifyRouter;
export declare const RouterBis: typeof ShopifyRouterBis;
export declare const ScopeRouter: typeof ShopifyRouterNewScope;
export declare const MandatoryRoutes: typeof ShopifyMandatoryRouter;
export declare const HmacUtils: typeof HmacValidator;
export declare const ShopifyRestUtils: typeof RestUtils;
export declare const RestCacheWrapper: typeof CacheWrapper;
export declare const RateLimiter: typeof StoreRateLimiter;
