"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CacheWrapper_1 = require("./services/CacheWrapper");
const HmacValidator_1 = require("./shopify/router/services/HmacValidator");
const Logger_1 = require("./Logger");
const RestUtils_1 = require("./shopify/router/services/RestUtils");
const ShopifyMandatoryRouter_1 = require("./shopify/router/ShopifyMandatoryRouter");
const ShopifyRouter_1 = require("./shopify/router/ShopifyRouter");
const ShopifyUtils_1 = require("./shopify/ShopifyUtils");
const StoreRateLimiter_1 = require("./shopify/router/services/rateLimiter/StoreRateLimiter");
const ShopifyRouterNewScope_1 = require("./shopify/router/ShopifyRouterNewScope");
const ShopifyRouterBis_1 = require("./shopify/router/ShopifyRouterBis");
class ShopifyRest {
    constructor(shop, token, privateAppApiKey, privateAppPassword, options) {
        this.shop = shop;
        this.token = token;
        this.privateAppApiKey = privateAppApiKey;
        this.privateAppPassword = privateAppPassword;
        if (options) {
            if (options.debug) {
                if (!options.logger)
                    throw 'If debug mode is on then a looger must be set into options';
                Logger_1.Logger.error = options.logger.error;
                Logger_1.Logger.info = options.logger.info;
            }
        }
        const instance = ShopifyUtils_1.ShopifyUtils.getAxiosInstance(shop, token, privateAppApiKey, privateAppPassword, options);
        //  this.customer = new ShopifyCustomerService(instance);
        //  this.inventory = new ShopifyInventoryService(instance);
        //  this.order = new ShopifyOrderService(instance);
        //  this.product = new ShopifyProductService(instance);
        //  this.variant = new ShopifyVariantService(instance);
        //  this.webhook = new ShopifyWebhookService(instance);
        //  this.fulfillment = new ShopifyFulfillmentService(instance);
        //  this.store = new ShopifyShopService(instance);
        //  this.collections = new ShopifyCollectionService(instance);
        //  this.themes = new ShopifyThemeService(instance);
        //  this.templates = new ShopifyTemplateService(instance);
        //  this.assets = new ShopifyAssetService(instance);
        //  this.billing = new ShopifyBillingService(instance);
        //  this.draftOrders = new ShopifyDraftOrderService(instance);
        //  this.locations = new ShopifyLocationService(instance);
        //  this.orderRisks = new ShopifyOrderRiskService(instance);
        //  this.pages = new ShopifyPageService(instance);
    }
}
exports.default = ShopifyRest;
exports.Router = ShopifyRouter_1.ShopifyRouter;
exports.RouterBis = ShopifyRouterBis_1.default;
exports.ScopeRouter = ShopifyRouterNewScope_1.default;
exports.MandatoryRoutes = ShopifyMandatoryRouter_1.ShopifyMandatoryRouter;
exports.HmacUtils = HmacValidator_1.default;
exports.ShopifyRestUtils = RestUtils_1.default;
exports.RestCacheWrapper = CacheWrapper_1.default;
exports.RateLimiter = StoreRateLimiter_1.default;
//# sourceMappingURL=index.js.map