"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
class CacheWrapper {
    constructor(maxSize, call) {
        this.maxSize = maxSize;
        this.call = call;
        this.records = new Map();
        this.execute = (...args) => __awaiter(this, void 0, void 0, function* () {
            return new Promise((resolve, reject) => {
                const key = args[0];
                if (this.records.has(key)) {
                    resolve(this.records.get(key));
                    return;
                }
                const value = this.call.apply(null, args);
                this.clearEntry();
                this.records.set(key, value);
                resolve(value);
            });
        });
        this.clear = () => {
            this.records.clear();
        };
        this.clearEntry = () => {
            if (this.records.size > this.maxSize) {
                this.records.delete(this.records.keys().next().value);
            }
        };
    }
}
exports.default = CacheWrapper;
//# sourceMappingURL=CacheWrapper.js.map