import { AxiosInstance } from 'axios';
export declare class ShopifyOrderService {
    private axiosInstance;
    private shopifyShopService;
    constructor(axiosInstance: AxiosInstance);
    getFulfillments: (orderId: number) => Promise<IFulFillment[]>;
    getById: (orderId: number) => Promise<IOrder>;
    getAll: (orderstatus?: IOrderStatus) => Promise<IOrder[]>;
    createFulfillments: (orderId: number, orderLocationId: number, orderFulfillments: IFulFillmentLine[], notifyCustomer: boolean, shipmentStatus: IShipmentStatus) => Promise<IFulFillment>;
    completeFulfillment: (orderId: number, fullfilmentId: number) => Promise<IFulFillment>;
    openFulfillment: (orderId: number, fullfilmentId: number) => Promise<IFulFillment>;
    cancelFulfillment: (orderId: number, fullfilmentId: number) => Promise<IFulFillment>;
    addAdditionalAttribute: (orderId: number, attributeName: string, attributeValue: string) => Promise<IOrder>;
    addAdditionalAttributes: (orderId: number, attributes: {
        attributeName: string;
        attributeValue: string;
    }[]) => Promise<IOrder>;
    setTags: (orderId: number, tags: string) => Promise<IOrder>;
    create: (order: IOrder) => Promise<IOrder>;
    /**
     * Updates Shipping Address in a order.
     *
     * @param  {number} orderId
     * @param  {IAddress} shippingAddress
     * @returns Promise
     */
    updateShippingAddress: (orderId: number, shippingAddress: IAddress) => Promise<IOrder>;
    cancel: (orderId: number) => Promise<IOrder>;
    applyWeightAndCountryBasedShippingToOrder: (order: IOrder) => Promise<IOrder>;
    getShippingByWeight: (country: string, weight: number) => Promise<IShippingLine>;
}
