"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const axiosRetry = require("axios-retry");
const axios_1 = require("axios");
const APIVersion_1 = require("./APIVersion");
class ShopifyUtils {
}
ShopifyUtils.getAxiosInstance = (shop, token, api_key, password, options) => {
    if (!options) {
        options.timeout = 6000;
        options.retries = 3;
        options.logger = null;
    }
    if (!options.timeout) {
        options.timeout = 6000;
    }
    ;
    if (!options.retries) {
        options.retries = 5;
    }
    ;
    let client;
    if (token) {
        client = axios_1.default.create({
            baseURL: `https://${shop}/admin/${APIVersion_1.default.API_URL}`,
            timeout: options.timeout,
            headers: {
                'X-Shopify-Access-Token': token,
                'Content-Type': 'application/json;charset=UTF-8'
            }
        });
    }
    else if (api_key && password) {
        client = axios_1.default.create({
            baseURL: `https://${api_key}:${password}@${shop}/admin/${APIVersion_1.default.API_URL}`,
            timeout: options.timeout,
            headers: { 'Content-Type': 'application/json;charset=UTF-8' }
        });
    }
    else {
        throw 'No acces token defined AND no private app key and password set so it is not possible to build the admin shop url';
    }
    axiosRetry(client, {
        retries: options.retries,
        retryDelay: (retryCount) => {
            if (options.logger)
                options.logger.error(`Retry ${retryCount} ...`);
            return retryCount * 500;
        },
        shouldResetTimeout: true,
        retryCondition: (error) => {
            options.logger.error('Retry Condition .... ', error);
            return true;
        }
    });
    return client;
};
exports.ShopifyUtils = ShopifyUtils;
//# sourceMappingURL=ShopifyUtils.js.map