"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const crypto = require("crypto");
class CryptoService {
    generateHash(message, secret) {
        return Buffer.from(crypto.createHmac('sha256', secret).update(message).digest('hex'), 'utf-8');
    }
    generateHashBase64(message, secret) {
        return crypto.createHmac('sha256', secret).update(message).digest('base64');
    }
    checkHash(generatedHash, hmacToCheck) {
        let hashEquals = false;
        const providedHmac = Buffer.from(hmacToCheck, 'utf-8');
        try {
            hashEquals = crypto.timingSafeEqual(generatedHash, providedHmac);
        }
        catch (e) {
            hashEquals = false;
        }
        ;
        return hashEquals;
    }
}
exports.CryptoService = CryptoService;
//# sourceMappingURL=CryptoService.js.map