"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class MemoryStore {
    constructor(windowMs) {
        this.windowMs = windowMs;
        this.hits = {};
        this.incr = (key, cb) => {
            if (this.hits[key]) {
                this.hits[key]++;
            }
            else {
                this.hits[key] = 1;
            }
            cb(null, this.hits[key], this.resetTime);
        };
        this.decrement = (key) => {
            if (this.hits[key]) {
                this.hits[key]--;
            }
        };
        this.resetAll = () => {
            this.hits = {};
            this.resetTime = this.calculateNextResetTime(this.windowMs);
        };
        this.resetKey = (key) => {
            delete this.hits[key];
            delete this.resetTime[key];
        };
        this.resetTime = this.calculateNextResetTime(this.windowMs);
        this.interval = setInterval(this.resetAll, this.windowMs);
        if (this.interval.unref) {
            this.interval.unref();
        }
    }
    calculateNextResetTime(windowMs) {
        const d = new Date();
        d.setMilliseconds(d.getMilliseconds() + windowMs);
        return d;
    }
}
exports.default = MemoryStore;
//# sourceMappingURL=MemoryStores.js.map