"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const CacheWrapper_1 = require("../../services/CacheWrapper");
const cacheableTestFunction = jest.fn((id) => {
    return id + 'value';
});
beforeEach(() => {
    cacheableTestFunction.mockClear();
});
test('gets from cache when key exist', () => __awaiter(this, void 0, void 0, function* () {
    const wrapper = new CacheWrapper_1.default(5, cacheableTestFunction);
    yield wrapper.execute('key_1');
    yield wrapper.execute('key_2');
    yield wrapper.execute('key_1');
    expect(cacheableTestFunction).toHaveBeenCalledTimes(2);
}));
test('clears cache when there are more entries than configured size', () => __awaiter(this, void 0, void 0, function* () {
    const wrapper = new CacheWrapper_1.default(2, cacheableTestFunction);
    yield wrapper.execute('key_1');
    yield wrapper.execute('key_2');
    yield wrapper.execute('key_1');
    expect(wrapper.records.size).toBe(2);
    expect(cacheableTestFunction).toHaveBeenCalledTimes(2);
}));
//# sourceMappingURL=CacheWrapper.test.js.map