"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const ShopifyUtils_1 = require("../../shopify/ShopifyUtils");
const ShopifyWebhookService_1 = require("../../shopify/ShopifyWebhookService");
test('Deletes all existing webhooks', () => __awaiter(this, void 0, void 0, function* () {
    const mockAxiosInstance = {
        get: jest.fn(() => {
            return new Promise((resolve, reject) => {
                resolve({
                    data: {
                        webhooks: [{ topic: 'orders/create', id: 1, address: 'some callaback url', format: 'json' },
                            { topic: 'orders/delete', id: 2, address: 'some callaback url', format: 'json' }]
                    }
                });
            });
        }),
        delete: jest.fn()
    };
    ShopifyUtils_1.ShopifyUtils.getAxiosInstance = () => mockAxiosInstance;
    const shopifyWebhookService = new ShopifyWebhookService_1.ShopifyWebhookService(ShopifyUtils_1.ShopifyUtils.getAxiosInstance('shop', 'token', 'key', null, null));
    yield shopifyWebhookService.deleteAll();
    expect(mockAxiosInstance.get).toBeCalledWith('/webhooks.json');
    expect(mockAxiosInstance.delete).toHaveBeenCalledTimes(2);
}));
//# sourceMappingURL=ShopifyWebhookService.test.js.map